Subject: Re: [PATCH v2 1/2] gnu: maxima: Compile with ecl instead of sbcl.

From: Andreas Enge <[email-masked]>
Date: Fri, 14 Feb 2025 11:08:24 +0100

Hello,

Am Fri, Feb 14, 2025 at 09:47:03AM +0000 schrieb Guillaume Le Vaillant:
> Have you checked if maxima doesn't become painfully slow with this
> change, as sbcl is usually much faster than ecl?

I have not checked anything, as I am not using maxima; just that it works
from sage (with my favourite example "2+2;"). As far as I understood,
sage requires maxima compiled with ecl. And I do not know if we have other
users of maxima. If it becomes too slow, we could add the second variant
maxima-ecl just for sage, as it is still available in the wip-sage branch.

Do you use maxima yourself and could make a test?

Andreas